<template>
	<view class="wrap">
		<uni-section :title="hazard.measureContent" type="line">
			<uni-forms ref="form" :modelValue="formData" :rules="rules" :label-width="300" label-position="top">
				<uni-forms-item label="隐患等级" name="checkResult" required>
					<view class="uni-data-checkbox-wrap">
						<uni-data-checkbox v-model="formData.checkResult" :localdata="checkResults" />				
					</view>
				</uni-forms-item>	
				<uni-forms-item label="备注" name="remark">
				  <uni-easyinput v-model="formData.remark" type="textarea" :maxlength="-1" autoHeight placeholder="备注" />
				</uni-forms-item>
				<uni-file-picker  v-model="formData.attachList" 
				 fileMediatype="image" 
				 title="请上传附件"
				 limit="1"
				 @select="uploadSuccess"
				 @delete="deleteFile"></uni-file-picker>	
			</uni-forms>
		</uni-section>
		<button type="primary" @click="onSubmit" class="submit-BT">提交</button>		
	</view>
</template>

<script>
	import {upload} from '@/api/system/upload.js'	
	import {updateChecklistHazardRecordDoing} from '@/api/aqpt/checklistHazardRecordApi.js'
	export default {
		data() {
			return {
				checkResults:[
					{text:"通过",value:1},
					{text:"不通过",value:-1},
				],
				formData:{
					checkResult:1,	
					remark:"",
					attachList:[]
				},
				rules:{},
				hazard:{}
			}
		},
		onLoad() {
			this.init()
		},
		methods: {
			init(){
				let hazard=uni.getStorageSync('hazard');
				this.hazard=hazard;
			},
			async onSubmit() {
				let hazard=uni.getStorageSync('hazard')
				let attachList=[]
				for(let i=0;i<this.formData.attachList.length;i++){
					let filePath=this.formData.attachList[i].url
					let fileresq=await upload({filePath})
					fileresq=JSON.parse(fileresq)
					attachList.push(fileresq.data)
				}
				await updateChecklistHazardRecordDoing({
					recordId:hazard.recordId,
					checklistId:hazard.checklistId,				
					hazardId:hazard.hazardId,
					riskId:hazard.riskId,						
					measureId:hazard.measureId,					
					checkResult:this.formData.checkResult,
					remark:this.formData.remark,
					attachList,
				}).catch(()=>{
					uni.showToast({
						icon:'none',
						title:"提交失败！"
					})				
				})
				uni.showToast({
					icon:'none',
					title:"提交成功！",
					complete() {
						uni.redirectTo({
							url:`/pages/app_views/hazard/index/index?type=form&id=${hazard.checklistId}&recordId=${hazard.recordId}`
						})
					}
				})
			},
			uploadSuccess(e){
				let attachList=JSON.parse(JSON.stringify(this.formData.attachList))
				attachList.push(e.tempFiles[0])
				this.formData.attachList=attachList
			},
			deleteFile(e){							
				let attachList=JSON.parse(JSON.stringify(this.formData.attachList))
				attachList.filter(item=>item.uuid!==e.tempFile.uuid)
				this.formData.attachList=attachList
			},			
		},
		onUnload() {			
			uni.removeStorageSync('hazard')
		}
	}
</script>

<style lang="scss" scoped>
.wrap{
	padding: 20rpx;
	.submit-BT {
		height: 72rpx;
		line-height: 72rpx;	
		text-align: center;							
		background:#3D90F4;
		border-radius: 42rpx;	
		font-size: 32rpx;
		font-family: PingFang SC;
		font-weight: 400;
		color: #FFFFFF;
		margin: 50rpx auto;
	}
	::v-deep .uni-forms-item{
		.uni-forms-item__content{
			.uni-data-checkbox-wrap{
				height: 100%;
				display: flex;
				align-items: center;					
			}
	
		}		
	}
}
</style>
